"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTopic_1 = require("../model/operations/CreateTopic");
var CreateTopicCommand = /** @class */ (function () {
    function CreateTopicCommand(input) {
        this.input = input;
        this.model = CreateTopic_1.CreateTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTopicCommand;
}());
exports.CreateTopicCommand = CreateTopicCommand;
//# sourceMappingURL=CreateTopicCommand.js.map