"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeletePlatformApplication_1 = require("../model/operations/DeletePlatformApplication");
var DeletePlatformApplicationCommand = /** @class */ (function () {
    function DeletePlatformApplicationCommand(input) {
        this.input = input;
        this.model = DeletePlatformApplication_1.DeletePlatformApplication;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeletePlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeletePlatformApplicationCommand;
}());
exports.DeletePlatformApplicationCommand = DeletePlatformApplicationCommand;
//# sourceMappingURL=DeletePlatformApplicationCommand.js.map