"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Publish_1 = require("../model/operations/Publish");
var PublishCommand = /** @class */ (function () {
    function PublishCommand(input) {
        this.input = input;
        this.model = Publish_1.Publish;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PublishCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PublishCommand;
}());
exports.PublishCommand = PublishCommand;
//# sourceMappingURL=PublishCommand.js.map