"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetEndpointAttributes_1 = require("../model/operations/SetEndpointAttributes");
var SetEndpointAttributesCommand = /** @class */ (function () {
    function SetEndpointAttributesCommand(input) {
        this.input = input;
        this.model = SetEndpointAttributes_1.SetEndpointAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetEndpointAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetEndpointAttributesCommand;
}());
exports.SetEndpointAttributesCommand = SetEndpointAttributesCommand;
//# sourceMappingURL=SetEndpointAttributesCommand.js.map