"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetTopicAttributes_1 = require("../model/operations/SetTopicAttributes");
var SetTopicAttributesCommand = /** @class */ (function () {
    function SetTopicAttributesCommand(input) {
        this.input = input;
        this.model = SetTopicAttributes_1.SetTopicAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetTopicAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetTopicAttributesCommand;
}());
exports.SetTopicAttributesCommand = SetTopicAttributesCommand;
//# sourceMappingURL=SetTopicAttributesCommand.js.map