"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Subscribe_1 = require("../model/operations/Subscribe");
var SubscribeCommand = /** @class */ (function () {
    function SubscribeCommand(input) {
        this.input = input;
        this.model = Subscribe_1.Subscribe;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SubscribeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SubscribeCommand;
}());
exports.SubscribeCommand = SubscribeCommand;
//# sourceMappingURL=SubscribeCommand.js.map