"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfirmSubscriptionInput_1 = require("../shapes/ConfirmSubscriptionInput");
var ConfirmSubscriptionOutput_1 = require("../shapes/ConfirmSubscriptionOutput");
var SubscriptionLimitExceededException_1 = require("../shapes/SubscriptionLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var FilterPolicyLimitExceededException_1 = require("../shapes/FilterPolicyLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ConfirmSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ConfirmSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ConfirmSubscriptionInput_1.ConfirmSubscriptionInput
    },
    output: {
        shape: ConfirmSubscriptionOutput_1.ConfirmSubscriptionOutput,
        resultWrapper: "ConfirmSubscriptionResult"
    },
    errors: [
        {
            shape: SubscriptionLimitExceededException_1.SubscriptionLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: FilterPolicyLimitExceededException_1.FilterPolicyLimitExceededException
        }
    ]
};
//# sourceMappingURL=ConfirmSubscription.js.map