"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SNSClient_1 = require("../../SNSClient");
var ListTopicsCommand_1 = require("../../commands/ListTopicsCommand");
var PublishCommand_1 = require("../../commands/PublishCommand");
describe("@aws-sdk/client-sns-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListTopics should succeed when given correct input", function (done) {
        var client = new SNSClient_1.SNSClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listTopics = new ListTopicsCommand_1.ListTopicsCommand({});
        client
            .send(listTopics)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("Publish should fail when given bad input", function (done) {
        var client = new SNSClient_1.SNSClient({
            region: defaultRegion,
            credentials: credentials
        });
        var publish = new PublishCommand_1.PublishCommand({
            Message: "hello",
            TopicArn: "fake_topic"
        });
        client
            .send(publish)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map